#
# This file is part of Net-Amazon-Signature-V3
#
# This software is Copyright (c) 2018, 2012 by Chris Weyl.
#
# This is free software, licensed under:
#
#   The GNU Lesser General Public License, Version 2.1, February 1999
#
# This file was automatically generated by Dist::Zilla::Plugin::MakeMaker v6.011.
use strict;
use warnings;

use 5.008;

use ExtUtils::MakeMaker;

my %WriteMakefileArgs = (
  "ABSTRACT" => "Sign AWS requests -- V3",
  "AUTHOR" => "Chris Weyl <cweyl\@alumni.drew.edu>",
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => 0
  },
  "DISTNAME" => "Net-Amazon-Signature-V3",
  "LICENSE" => "lgpl",
  "MIN_PERL_VERSION" => "5.008",
  "NAME" => "Net::Amazon::Signature::V3",
  "PREREQ_PM" => {
    "Digest::HMAC_SHA1" => 0,
    "HTTP::Date" => 0,
    "MIME::Base64" => 0,
    "Moose" => 0,
    "MooseX::AttributeShortcuts" => "0.015",
    "MooseX::Types::Common::String" => 0,
    "namespace::autoclean" => 0,
    "utf8" => 0
  },
  "TEST_REQUIRES" => {
    "ExtUtils::MakeMaker" => 0,
    "File::Spec" => 0,
    "IO::Handle" => 0,
    "IPC::Open3" => 0,
    "Test::CheckDeps" => "0.010",
    "Test::Moose::More" => 0,
    "Test::More" => "0.94",
    "aliased" => 0,
    "strict" => 0,
    "warnings" => 0
  },
  "VERSION" => "0.003",
  "test" => {
    "TESTS" => "t/*.t"
  }
);


my %FallbackPrereqs = (
  "Digest::HMAC_SHA1" => 0,
  "ExtUtils::MakeMaker" => 0,
  "File::Spec" => 0,
  "HTTP::Date" => 0,
  "IO::Handle" => 0,
  "IPC::Open3" => 0,
  "MIME::Base64" => 0,
  "Moose" => 0,
  "MooseX::AttributeShortcuts" => "0.015",
  "MooseX::Types::Common::String" => 0,
  "Test::CheckDeps" => "0.010",
  "Test::Moose::More" => 0,
  "Test::More" => "0.94",
  "aliased" => 0,
  "namespace::autoclean" => 0,
  "strict" => 0,
  "utf8" => 0,
  "warnings" => 0
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);
